Malicious Package

Affecting libpeshka package, versions [0,]

high severity

Overview

12 Python libraries were identified as malicious packages. djanga, easyinstall and libpeshka packages injected code into the .bashrc file when installed on a linux system.

On October 13th, 2018 all of these packages have been removed from Pypi.

Remediation

Avoid usage of this package altogether.

References

Do your applications use this vulnerable package?

Credit
Bertus
CWE
CWE-506
Snyk ID
SNYK-PYTHON-LIBPESHKA-72535
Disclosed
13 Oct, 2018
Published
28 Oct, 2018